from selenium import webdriver
import os
import sys
import json
import csv
import time
screen_name_file = sys.argv[1]
directory = sys.argv[2]

def read_csv(filename):
  dataset = []
  with open(filename, 'rb') as f:
      reader = csv.reader(f)
      for row in reader:
          dataset.append(row[0])
  return dataset

screen_names = read_csv(screen_name_file)
driver = webdriver.PhantomJS("phantomjs")
driver.set_window_size(1000,1000)
for screen_name in screen_names:
  if screen_name+".png" not in os.listdir(directory):
    driver.get('http://instagram.com/'+screen_name);
    time.sleep(3)
    f = open(directory+"/"+screen_name+".png", "wt")
    f.write(driver.get_screenshot_as_png())
    f.close()